Skip to main content
`Ctrl`+`K`

# PCGAMGSetRecomputeEstEig

Set flag for Chebyshev smoothers to recompute the eigen estimates when a new matrix is used

## Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetRecomputeEstEig(PC pc, PetscBool b)

Collective

## Input Parameters

- pc - the preconditioner context

- b - flag, default is `PETSC_TRUE`

## Options Database Key

- -pc_gamg_recompute_esteig <true> - use the eigen estimate

## Note

If the matrix changes only slightly in a new solve using `PETSC_FALSE` will save time in the setting up of the preconditioner and may not affect the solution time much.

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`, `KSPChebyshevSetEigenvalues()`, `KSPChebyshevEstEigSet()`

## Level

advanced

## Location

src/ksp/pc/impls/gamg/gamg.c

## Implementations

PCGAMGSetRecomputeEstEig_GAMG() in src/ksp/pc/impls/gamg/gamg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages